MACRO BOOST_V(3)

NAME
BOOST_VARIANT_ENUM_PARAMS - Enumerate parameters for use with variant.

SYNOPSIS

// In header: <boost/variant/variant_fwd.hpp>
BOOST_VARIANT_ENUM_PARAMS(param)

DESCRIPTION

Expands to a comma-separated sequence of length BOOST_VARIANT_LIMIT_TYPES, where each element in the sequence consists of the concatenation of param with its zero-based index into the sequence. That is, param ## 0, param ## 1, ..., param ## BOOST_VARIANT_LIMIT_TYPES - 1.

Rationale: This macro greatly simplifies for the user the process of declaring variant types in function templates or explicit partial specializations of class templates, as shown in the tutorial.